<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.impaktsoft.globeup.viewmodels.CreateGroupViewModel" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/activity_horizontal_margin">

        <TextView
            android:id="@+id/add_photo_text_option"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/activity_vertical_margin"
            android:text="@string/add_photo"
            android:textColor="@color/colorPrimary"
            android:textSize="@dimen/normal_size" />

        <EditText
            android:id="@+id/group_name_edit_text"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/add_photo_text_option"
            android:layout_marginBottom="@dimen/activity_vertical_margin"
            android:hint="@string/group_name" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/group_users_list"
            android:layout_width="match_parent"
            android:layout_below="@id/group_name_edit_text"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/activity_vertical_margin" />


        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="30dp"
            android:layout_alignParentBottom="true"
            android:layout_margin="@dimen/activity_horizontal_margin"
            android:src="@drawable/ic_done"
            android:tint="@color/white" />

    </RelativeLayout>

</layout>
